petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetArguments

Allows you to access the command line arguments anywhere after PetscInitialize() is called but before PetscFinalize().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetArguments(char ***args)

Not Collective Many br

### Output Parameters

args -the command line arguments Many br

Many br

### Notes

This does NOT start with the program name and IS null terminated (final arg is void) Many br

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArgs(), PetscFreeArguments()

Level:intermediate
Location:src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages